Package com.independentsoft.office.odf.charts

# Class Grid

java.lang.Object
com.independentsoft.office.odf.charts.Grid

All Implemented Interfaces:
  `IContentElement`

public class Grid extends Object implements IContentElement
The Class Grid.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Grid()`
  Initializes a new instance of the Grid class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Grid`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `IContentElement`
  `getParent()`
  Returns the parent element.
  `String`
  `getStyle()`
  Gets name that reference style mechanisms.
  `GridType`
  `getType()`
  Gets the grid type.
  `void`
  `setParent​(IContentElement parent)`
  `void`
  `setStyle​(String style)`
  Sets name that reference style mechanisms.
  `void`
  `setType​(GridType type)`
  Sets a grid type.
  `String`
  `toString()`
  Converts the value of the current Grid object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Grid

    public Grid()
    Initializes a new instance of the Grid class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Specified by:
      `setParent` in interface `IContentElement`

  - ### clone

    public Grid clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Grid object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getType

    public GridType getType()
    Gets the grid type. The value is a namespaced token.
    Returns:
      the type

  - ### setType

    public void setType​(GridType type)
    Sets a grid type. The value is a namespaced token.
    Parameters:
      `type` - the new type

  - ### getStyle

    public String getStyle()
    Gets name that reference style mechanisms.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets name that reference style mechanisms.
    Parameters:
      `style` - the new style